import { Observable } from 'rxjs';
import { OpenIdConfiguration } from '../config/openid-configuration';
import { CallbackContext } from './callback-context';
import * as i0 from "@angular/core";
export declare class FlowsService {
    private readonly codeFlowCallbackHandlerService;
    private readonly implicitFlowCallbackHandlerService;
    private readonly historyJwtKeysCallbackHandlerService;
    private readonly userHandlerService;
    private readonly stateValidationCallbackHandlerService;
    private readonly refreshSessionCallbackHandlerService;
    private readonly refreshTokenCallbackHandlerService;
    processCodeFlowCallback(urlToCheck: string, config: OpenIdConfiguration, allConfigs: OpenIdConfiguration[]): Observable<CallbackContext>;
    processSilentRenewCodeFlowCallback(firstContext: CallbackContext, config: OpenIdConfiguration, allConfigs: OpenIdConfiguration[]): Observable<CallbackContext>;
    processImplicitFlowCallback(config: OpenIdConfiguration, allConfigs: OpenIdConfiguration[], hash?: string): Observable<CallbackContext>;
    processRefreshToken(config: OpenIdConfiguration, allConfigs: OpenIdConfiguration[], customParamsRefresh?: {
        [key: string]: string | number | boolean;
    }): Observable<CallbackContext>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FlowsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FlowsService>;
}
